Subject: [alpine-aports] [PATCH] testing/dietlibc: new aport

From: Sören Tempel <[email-masked]>
Date: Thu, 31 Dec 2015 13:36:17 +0100

---
 testing/dietlibc/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/dietlibc/APKBUILD

diff --git a/testing/dietlibc/APKBUILD b/testing/dietlibc/APKBUILD
new file mode 100644
index 0000000..756958f
--- /dev/null
+++ b/testing/dietlibc/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Sören Tempel <[email-masked]>
+# Maintainer: Sören Tempel <[email-masked]>
+pkgname=dietlibc
+pkgver=0.33
+pkgrel=0
+pkgdesc="a libc optimized for small size"
+url="http://www.fefe.de/dietlibc/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.fefe.de/$pkgname/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	make -C "$_builddir" || return 1
+}
+
+package() {
+	make prefix=/usr/diet DESTDIR="$pkgdir" \
+		BINDIR=/usr/bin MAN1DIR=/usr/share/man/man1 \
+		-C "$_builddir" install || return 1
+
+	local file
+	for file in AUTHOR BUGS CAVEAT CHANGES COPYING FAQ PORTING \
+			README README.security SECURITY THANKS TODO; do
+		install -Dm644 "$_builddir"/$file \
+			"$pkgdir"/usr/share/doc/$pkgname/$file || return 1
+	done
+}
+
+md5sums="9d541b9a6623b04ec12e5248b82db7c0  dietlibc-0.33.tar.bz2"
+sha256sums="68838893790ddd7a42bc1a06e5435054e1dc1914e4b53d2d6c92f603d3b315f5  dietlibc-0.33.tar.bz2"
+sha512sums="3e4cc8d9987a497adb2f777cbd578aa46a44f786a6ed86b0e2489d1f72ffd915920828b3dfb46d62d25f4b6a1cc2cbf7cc806ca0fe56ebc1af49152f5d4950a3  dietlibc-0.33.tar.bz2"
-- 
2.6.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---